Subject: RE: [riverware-support] Strange plotting behavior
From: "Mueller, Gregory Donald" <[email-masked]>
To: 'David Neumann' <[email-masked]>, "'Riverware support (E-mail)'" <[email-masked]>
Cc: 'magee' <[email-masked]>, "Peak, Robin E" <[email-masked]>
Date: Tue, 27 Jun 2017 16:17:16 +0000

The problem is that the limits shown in the Y Axis were not the same... They were expanded as if it were doing an autoscale on that Y axis. The only action I did was to check the X-Axis Always apply box. I don't know when the problem started as I just noticed it today in the 7.1 prerelease. I believe I originally created the graphs in 6.9.

I essentially did the following:
*Opened the *20170623e* file and imported the *.plot" into it to see if the check mark is maintained (it was).
*Saved this file as *20172627a*

*         *If you open the "Plot" for viewing Mine opens with SHH and all appears well (see below) 

*         Click Edit and notice that the Y-Axis bounds are 1690-1750.

*         Switch to "Lower X axis" and click "Apply" (You've not changed a thing...

*         Result is  (Issue described about auto-zoom on Y axis)
2 -

*         Click on Boone and notice that the scale is now metric: 

*         Click Fort Patrick or any reservoir after that plot... its scale also displays as metric...

*         Close the plot and reopen the plot and those ones after Boone (that previously displayed as metric are back to ft......

*         That is... until you click on Boone again... and then they display as metric again... 

If it's easier to discuss on the phone, feel free to call me.

Gregory D. Mueller, P.E
Civil Engineer, Water Resources C
River Forecast Center

Tennessee Valley Authority
400 West Summit Hill Drive
Knoxville, TN 37902

865-632-6036 (w)
[email-masked]<mailto:[email-masked]>
[https://lakeinfo.tva.gov/web/images/tva_logo_32b.png]<https://tva.com/>
[https://lakeinfo.tva.gov/web/images/blue_line.png]
[https://lakeinfo.tva.gov/web/images/facebook2.png]<https://www.facebook.com/TVA/>[https://lakeinfo.tva.gov/web/images/twitter2.png]<https://twitter.com/tvanews>[https://lakeinfo.tva.gov/web/images/instagram2.png]<https://instagram.com/tva>[https://lakeinfo.tva.gov/web/images/youtube2.png]<https://www.youtube.com/user/TVANewsVideo>[https://lakeinfo.tva.gov/web/images/linkedin2.png]<https://www.linkedin.com/company/tva>[https://lakeinfo.tva.gov/web/images/flickr2.png]<https://www.flickr.com/photos/tennesseevalleyauthority/>
NOTICE: This electronic message transmission contains information that may be TVA SENSITIVE, TVA RESTRICTED, or TVA CONFIDENTIAL. Any misuse or unauthorized disclosure can result in both civil and criminal penalties. If you are not the intended recipient, be aware that any disclosure, copying, distribution, or use of the content of this information is prohibited. If you have received this communication in error, please notify me immediately by email and delete the original message.

From: David Neumann [mailto:[email-masked]]
Sent: Tuesday, June 27, 2017 11:05 AM
To: Mueller, Gregory Donald; 'Riverware support (E-mail)'
Cc: 'magee'; Peak, Robin E
Subject: Re: [riverware-support] Strange plotting behavior

TVA External Message. Please use caution when opening.
Hi Greg,

That first issue sounds like it is applying whatever limits it has in the configuration for the Y axis.  If you send up the model I can confirm that.  The real "fix" to this issue is to enhance plotting to provide better scaling of the y axis, like we do for the time X axis. Maybe we could allow function calls or other symbolic limits.  We can add that to your task request spreadsheet if you want.

The second one could be a bug but I don't see it in the quick tests I performed. What version are you upgrading from?
Can you send up the original version?  I'll take a look at the units issue in the other email too, which does sound like a bug.

Thanks,
David

On 6/27/2017 5:54 AM, riverware-support ("Mueller, Gregory Donald") (on behalf of [email-masked]<mailto:[email-masked]>) wrote:
David,

There seems to be something strange going on with the plots in 7.1 (it may very well exist in 7.0 also but I just noticed today when I tried fixing what appeared to be plots that were no longer rescaling the X-axis when the plot was opened. I quickly noticed this as the problem occurred on the first graph. I made no changes to the Left Y Axis and only checked the "Apply each time plot is shown" box. I am using functions to set the time start/end dates. As soon as I clicked "Apply", I noticed the Y axis of the plot rescaled to show all of the data. This happened for every plot I tried. (That was issue 1). Issue 2 seems to be that the "Apply each time plot is shown" at some point did not carry forward from an older version. I am certain those had all been checked when I first created them. I did an export and re-import on 7.1 and the box is checked so I will edit all of the plots again to recheck the box.

I can send a model file if that helps you identify if that first issue is a bug.

Gregory D. Mueller, P.E
Civil Engineer, Water Resources C
River Forecast Center

Tennessee Valley Authority
400 West Summit Hill Drive
Knoxville, TN 37902

865-632-6036 (w)
[email-masked]<mailto:[email-masked]>
[https://lakeinfo.tva.gov/web/images/tva_logo_32b.png]<https://tva.com/>
[https://lakeinfo.tva.gov/web/images/blue_line.png]
[https://lakeinfo.tva.gov/web/images/facebook2.png]<https://www.facebook.com/TVA/>[https://lakeinfo.tva.gov/web/images/twitter2.png]<https://twitter.com/tvanews>[https://lakeinfo.tva.gov/web/images/instagram2.png]<https://instagram.com/tva>[https://lakeinfo.tva.gov/web/images/youtube2.png]<https://www.youtube.com/user/TVANewsVideo>[https://lakeinfo.tva.gov/web/images/linkedin2.png]<https://www.linkedin.com/company/tva>[https://lakeinfo.tva.gov/web/images/flickr2.png]<https://www.flickr.com/photos/tennesseevalleyauthority/>
NOTICE: This electronic message transmission contains information that may be TVA SENSITIVE, TVA RESTRICTED, or TVA CONFIDENTIAL. Any misuse or unauthorized disclosure can result in both civil and criminal penalties. If you are not the intended recipient, be aware that any disclosure, copying, distribution, or use of the content of this information is prohibited. If you have received this communication in error, please notify me immediately by email and delete the original message.